# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bencher.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Bencher-Scenario-EnsuringAllPatternsInString
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Ensuring all patterns are in a string
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Bencher-Scenario-EnsuringAllPatternsInString

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This scenario is inspired by <http://perlmonks.org/?node_id=1153410>. I want to
know how much faster/slower using the single regex with look-around assertions
is compared to using multiple regex.

As I expect, the single_re technique becomes exponentially slow as the number of
patterns and length of string increases.


Packaging a benchmark script as a Bencher scenario makes it convenient to include/exclude/add participants/datasets (either via CLI or Perl code), send the result to a central repository, among others . See the Bencher manpage and the bencher manpage (CLI) for more details.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/B*

%changelog
* Thu Nov 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

